def cifc(ninstrf):
    """Error handling in case input contains no value. Input integer.

    """

    try:
        number=int(ninstrf)
    except:
        number=None
    return number


def cifd(ninstrf):
    """Error handling in case input contains no value. DIVIDE BY 10!!. Input decimal number.
    
    """

    try:
        number=float(ninstrf)/10
    except:
        number=None
    return number


def cifdt(dtstr):
    """Error handling in case input ocntains no value. Input datetime YYYYMMDDhhmmss.

    Input finnish independence day if not available
    """
    
    import datetime
    try:
        number=datetime.datetime(int(dtstr[:4]), int(dtstr[4:6]),
                                 int(dtstr[6:8]), int(dtstr[8:10]),
                                 int(dtstr[10:12]), int(dtstr[12:14]))
    except:
        number=datetime.datetime(1972,12,6,13,8,0)
    return number

def nindices(number, character):
    """Counts how many ones there are in the number

    """
    String=number
    L=[ i for i in range(0, len(String)) if String[i] == character ]
    if L == None:
        L=0
    return len(L)

def addNs (Ns,En,Vaalipv):
    """Hide stuff from upper level for clarity

    """
    for i in range(10):
        Ns[i]=Ns[i] + nindices(En,str(i))*Vaalipv
