def format_taa_maa(t):
    """Format dictionary 't' for SQL injection

    All of the input is in string format need to make some of them numbers and
    dates etc. Returns two strings"""

    import sys
    import short_things as st
    add_taa = ("INSERT INTO Alueet "
               "(Vaalilaji, Vaalipiirinumero, Kuntanumero, Tietuetyyppi, "
               "Aanestysaluetunnus, VaalipiiriTunnusS, VaalipiiriTunnusR, "
               "AanestysalueS, AanestysalueR, Kuntamuoto, Kielisuhde, "
               "Aanioikeutetut, AanioikeutetutMiehet, AanioikeutetutNaiset, "
               "AanioikSuomessa, AanioikeSuomessaMiehet, "
               "AanioikeSuomessaNaiset, ValittavienMaara, Aanestysalueita, "
               "VaalitapahNimilyhVertVaali, AanioikSuomessaAsuvatVertVaali, "
               "KotimaanAanestysprosVertEnn, KotimaanAanestysprosVertvp, "
               "KotimaanAanestysprosVertYht, HyvaksyttyjaYhtVert, "
               "MitattomiaYhtVert, ValittaviaVert, VaalitapahtNimiVert2, "
               "AanioikSuomessaYhtVert2, KotimaanAanestysproVert2Enn, "
               "KotimaanAanestysproVert2Vaalipv, KotimaanAanestysproVert2Yht, "
               "HyvaksyttyjaVert2, MitattomiaVert2, Ennakko, Vaalipv, "
               "Yht, EnnakkoSuomessa, VaalipvSuomessa, YhtSuomessa, "
               "Ennakkopros, Vaalipvpros, Pros, EnnakkoprosSuomessa, "
               "VaalipvprosSuomessa, YhtprosSuomessa, HyvaksytytEnn, "
               "HyvaksytytVaalipv, HyvaksytytYht, MitattomatEnn, "
               "MitattomatVaalipv, MitattomatYht, LaskettuprosEnn, "
               "Laskettuprosvp, Laskettupros, Laskentavaihe, "
               "TiedostonAika)"
               "VALUES ( "
               "%(Vaalilaji)s, %(Vaalipiirinumero)s, %(Kuntanumero)s, %(Tietuetyyppi)s,"
               "%(Aanestysaluetunnus)s, %(VaalipiiriTunnusS)s, %(VaalipiiriTunnusR)s,"
               "%(AanestysalueS)s, %(AanestysalueR)s, %(Kuntamuoto)s, %(Kielisuhde)s,"
               "%(Aanioikeutetut)s, %(AanioikeutetutMiehet)s, %(AanioikeutetutNaiset)s,"
               "%(AanioikSuomessa)s, %(AanioikeSuomessaMiehet)s,"
               "%(AanioikeSuomessaNaiset)s, %(ValittavienMaara)s, %(Aanestysalueita)s,"
               "%(VaalitapahNimilyhVertVaali)s, %(AanioikSuomessaAsuvatVertVaali)s,"
               "%(KotimaanAanestysprosVertEnn)s, %(KotimaanAanestysprosVertvp)s,"
               "%(KotimaanAanestysprosVertYht)s, %(HyvaksyttyjaYhtVert)s,"
               "%(MitattomiaYhtVert)s, %(ValittaviaVert)s, %(VaalitapahtNimiVert2)s,"
               "%(AanioikSuomessaYhtVert2)s, %(KotimaanAanestysproVert2Enn)s,"
               "%(KotimaanAanestysproVert2Vaalipv)s, %(KotimaanAanestysproVert2Yht)s,"
               "%(HyvaksyttyjaVert2)s, %(MitattomiaVert2)s, %(Ennakko)s, %(Vaalipv)s,"
               "%(Yht)s, %(EnnakkoSuomessa)s, %(VaalipvSuomessa)s, %(YhtSuomessa)s,"
               "%(Ennakkopros)s, %(Vaalipvpros)s, %(Pros)s, %(EnnakkoprosSuomessa)s,"
               "%(VaalipvprosSuomessa)s, %(YhtprosSuomessa)s, %(HyvaksytytEnn)s,"
               "%(HyvaksytytVaalipv)s, %(HyvaksytytYht)s, %(MitattomatEnn)s,"
               "%(MitattomatVaalipv)s, %(MitattomatYht)s, %(LaskettuprosEnn)s,"
               "%(Laskettuprosvp)s, %(Laskettupros)s, %(Laskentavaihe)s,"
               "%(TiedostonAika)s)")
##    print(add_taa)
    add_taa_data={'Vaalilaji':t['Vaalilaji'],
                  'Vaalipiirinumero':t['Vaalipiirinumero'],
                  'Kuntanumero':t['Kuntanumero'],
                  'Tietuetyyppi':t['Tietuetyyppi'],
                  'Aanestysaluetunnus':t['Aanestysaluetunnus'],
                  'VaalipiiriTunnusS':t['VaalipiiriTunnusS'],
                  'VaalipiiriTunnusR':t['VaalipiiriTunnusR'],
                  'AanestysalueS':t['AanestysalueS'],
                  'AanestysalueR':t['AanestysalueR'],
                  'Kuntamuoto':t['Kuntamuoto'],
                  'Kielisuhde':t['Kielisuhde'],
                  'Aanioikeutetut':st.cifc(['Aanioikeutetut']),
                  'AanioikeutetutMiehet':st.cifc(t['AanioikeutetutMiehet']),
                  'AanioikeutetutNaiset':st.cifc(t['AanioikeutetutNaiset']),
                  'AanioikSuomessa':st.cifc(t['AanioikSuomessa']),
                  'AanioikeSuomessaMiehet':st.cifc(t['AanioikeSuomessaMiehet']),
                  'AanioikeSuomessaNaiset':st.cifc(t['AanioikeSuomessaNaiset']),
                  'ValittavienMaara':st.cifc(t['ValittavienMaara']),
                  'Aanestysalueita':st.cifc(t['Aanestysalueita']),
                  'VaalitapahNimilyhVertVaali':t['VaalitapahNimilyhVertVaali'],
                  'AanioikSuomessaAsuvatVertVaali':st.cifc(t['AanioikSuomessaAsuvatVertVaali']),
                  'KotimaanAanestysprosVertEnn':st.cifd(t['KotimaanAanestysprosVertEnn']),
                  'KotimaanAanestysprosVertvp':st.cifd(t['KotimaanAanestysprosVertvp']),
                  'KotimaanAanestysprosVertYht':st.cifd(t['KotimaanAanestysprosVertYht']),
                  'HyvaksyttyjaYhtVert':st.cifc(t['HyvaksyttyjaYhtVert']),
                  'MitattomiaYhtVert':st.cifc(t['MitattomiaYhtVert']),
                  'ValittaviaVert':st.cifc(t['ValittaviaVert']),
                  'VaalitapahtNimiVert2':t['VaalitapahtNimiVert2'],
                  'AanioikSuomessaYhtVert2':st.cifc(t['AanioikSuomessaYhtVert2']),
                  'KotimaanAanestysproVert2Enn':st.cifd(t['KotimaanAanestysproVert2Enn']),
                  'KotimaanAanestysproVert2Vaalipv':st.cifd(t['KotimaanAanestysproVert2Vaalipv']),
                  'KotimaanAanestysproVert2Yht':st.cifd(t['KotimaanAanestysproVert2Yht']),
                  'HyvaksyttyjaVert2':st.cifc(t['HyvaksyttyjaVert2']),
                  'MitattomiaVert2':st.cifc(t['MitattomiaVert2']),
                  'Ennakko':st.cifc(t['Ennakko']),
                  'Vaalipv':st.cifc(t['Vaalipv']),
                  'Yht':st.cifc(t['Yht']),
                  'EnnakkoSuomessa':st.cifc(t['EnnakkoSuomessa']),
                  'VaalipvSuomessa':st.cifc(t['VaalipvSuomessa']),
                  'YhtSuomessa':st.cifc(t['YhtSuomessa']),
                  'Ennakkopros':st.cifd(t['Ennakkopros']),
                  'Vaalipvpros':st.cifd(t['Vaalipvpros']),
                  'Pros':st.cifd(t['Pros']),
                  'EnnakkoprosSuomessa':st.cifd(t['EnnakkoprosSuomessa']),
                  'VaalipvprosSuomessa':st.cifd(t['VaalipvprosSuomessa']),
                  'YhtprosSuomessa':st.cifd(t['YhtprosSuomessa']),
                  'HyvaksytytEnn':st.cifc(t['HyvaksytytEnn']),
                  'HyvaksytytVaalipv':st.cifc(t['HyvaksytytVaalipv']),
                  'HyvaksytytYht':st.cifc(t['HyvaksytytYht']),
                  'MitattomatEnn':st.cifc(t['MitattomatEnn']),
                  'MitattomatVaalipv':st.cifc(t['MitattomatVaalipv']),
                  'MitattomatYht':st.cifc(t['MitattomatYht']),
                  'LaskettuprosEnn':st.cifd(t['LaskettuprosEnn']),
                  'Laskettuprosvp':st.cifd(t['Laskettuprosvp']),
                  'Laskettupros':st.cifd(t['Laskettupros']),
                  'Laskentavaihe':t['Laskentavaihe'],
                  'TiedostonAika':st.cifdt(t['TiedostonAika'])}
    return add_taa, add_taa_data
#
#
#
#

def format_tpa_maa(t):
    """Format dictionary 't' for SQL injection

    All of the input is in string format need to make some of them numbers and
    dates etc. Returns two strings"""

    import sys
    import short_things as st
    add_tpa = ("INSERT INTO EhdokasAsettajat "
               "(Vaalilaji, Vaalipiirinumero, Kuntanumero, Tietuetyyppi,"
               "Aanestysaluetunnus, VaalipiiriTunnusS, VaalipiiriTunnusR,"
               "Vakiopuoluenumero, Listapuoluenumero, PuolueenRyhmanNimiLyhS,"
               "PuolueenRyhmanNimiLyhR, AanestysalueS, AanestysalueR,"
               "PuolueenRyhmanNimiS, PuolueenRyhmanNimiR, AlinEhdokasnro,"
               "YlinEhdokasnro, Vaaliliittonumero, VaaliliittoS, VaaliliittoR,"
               "VaalitapaNimilyhVertVaali, EnnakkoAaniaVert, VaalipvAaniaVert,"
               "AaniaYhtVert, EnnakkoOsuusVert, VaalipvOsuusVert, AaniaYhtOsuusVert,"
               "PaikatVert, VaalitapaNimiVert2, EnnakkoAaniaVert2,"
               "VaalipvVert2, AaniaYhtVert2, EnnakkoOsuusVert2,"
               "VaalipvOsuusVert2, YhtOsuusVert2, Ennakko, Vaalipv, Yht,"
               "Ennakkopros, Vaalipvpros, Pros, Paikat, AaniaMuutosVert,"
               "AaniaproMuutosVert, PaikkaMuutosVert, AaniaMuutosVert2,"
               "AaniaprosMuutosVert2, LaskennanTila, Laskentavaihe,"
               "TiedostonAika )"
               "VALUES (%(Vaalilaji)s, %(Vaalipiirinumero)s, %(Kuntanumero)s, %(Tietuetyyppi)s,"
               "%(Aanestysaluetunnus)s, %(VaalipiiriTunnusS)s, %(VaalipiiriTunnusR)s,"
               "%(Vakiopuoluenumero)s, %(Listapuoluenumero)s, %(PuolueenRyhmanNimiLyhS)s,"
               "%(PuolueenRyhmanNimiLyhR)s, %(AanestysalueS)s, %(AanestysalueR)s,"
               "%(PuolueenRyhmanNimiS)s, %(PuolueenRyhmanNimiR)s, %(AlinEhdokasnro)s,"
               "%(YlinEhdokasnro)s, %(Vaaliliittonumero)s, %(VaaliliittoS)s, %(VaaliliittoR)s,"
               "%(VaalitapaNimilyhVertVaali)s, %(EnnakkoAaniaVert)s, %(VaalipvAaniaVert)s,"
               "%(AaniaYhtVert)s, %(EnnakkoOsuusVert)s, %(VaalipvOsuusVert)s, %(AaniaYhtOsuusVert)s,"
               "%(PaikatVert)s, %(VaalitapaNimiVert2)s, %(EnnakkoAaniaVert2)s,"
               "%(VaalipvVert2)s, %(AaniaYhtVert2)s, %(EnnakkoOsuusVert2)s,"
               "%(VaalipvOsuusVert2)s, %(YhtOsuusVert2)s, %(Ennakko)s, %(Vaalipv)s, %(Yht)s,"
               "%(Ennakkopros)s, %(Vaalipvpros)s, %(Pros)s, %(Paikat)s, %(AaniaMuutosVert)s,"
               "%(AaniaproMuutosVert)s, %(PaikkaMuutosVert)s, %(AaniaMuutosVert2)s,"
               "%(AaniaprosMuutosVert2)s, %(LaskennanTila)s, %(Laskentavaihe)s,"
               "%(TiedostonAika)s)")

    add_tpa_data={'Vaalilaji':t['Vaalilaji'],
                  'Vaalipiirinumero':t['Vaalipiirinumero'],
                  'Kuntanumero':t['Kuntanumero'],
                  'Tietuetyyppi':t['Tietuetyyppi'],
                  'Aanestysaluetunnus':t['Aanestysaluetunnus'],
                  'VaalipiiriTunnusS':t['VaalipiiriTunnusS'],
                  'VaalipiiriTunnusR':t['VaalipiiriTunnusR'],
                  'Vakiopuoluenumero':t['Vakiopuoluenumero'],
                  'Listapuoluenumero':t['Listapuoluenumero'],
                  'PuolueenRyhmanNimiLyhS':t['PuolueenRyhmanNimiLyhS'],
                  'PuolueenRyhmanNimiLyhR':t['PuolueenRyhmanNimiLyhR'],
                  'AanestysalueS':t['AanestysalueS'],
                  'AanestysalueR':t['AanestysalueR'],
                  'PuolueenRyhmanNimiS':t['PuolueenRyhmanNimiS'],
                  'PuolueenRyhmanNimiR':t['PuolueenRyhmanNimiR'],
                  'AlinEhdokasnro':st.cifc(t['AlinEhdokasnro']),
                  'YlinEhdokasnro':st.cifc(t['YlinEhdokasnro']),
                  'Vaaliliittonumero':t['Vaaliliittonumero'],
                  'VaaliliittoS':t['VaaliliittoS'],
                  'VaaliliittoR':t['VaaliliittoR'],
                  'VaalitapaNimilyhVertVaali':t['VaalitapaNimilyhVertVaali'],
                  'EnnakkoAaniaVert':st.cifc(t['EnnakkoAaniaVert']),
                  'VaalipvAaniaVert':st.cifc(t['VaalipvAaniaVert']),
                  'AaniaYhtVert':st.cifc(t['AaniaYhtVert']),
                  'EnnakkoOsuusVert':st.cifd(t['EnnakkoOsuusVert']),
                  'VaalipvOsuusVert':st.cifd(t['VaalipvOsuusVert']),
                  'AaniaYhtOsuusVert':st.cifd(t['AaniaYhtOsuusVert']),
                  'PaikatVert':st.cifc(t['PaikatVert']),
                  'VaalitapaNimiVert2':t['VaalitapaNimiVert2'],
                  'EnnakkoAaniaVert2':st.cifc(t['EnnakkoAaniaVert2']),
                  'VaalipvVert2':st.cifc(t['VaalipvVert2']),
                  'AaniaYhtVert2':st.cifc(t['AaniaYhtVert2']),
                  'EnnakkoOsuusVert2':st.cifc(t['EnnakkoOsuusVert2']),
                  'VaalipvOsuusVert2':st.cifc(t['VaalipvOsuusVert2']),
                  'YhtOsuusVert2':st.cifc(t['YhtOsuusVert2']),
                  'Ennakko':st.cifc(t['Ennakko']),
                  'Vaalipv':st.cifc(t['Vaalipv']),
                  'Yht':st.cifc(t['Yht']),
                  'Ennakkopros':st.cifd(t['Ennakkopros']),
                  'Vaalipvpros':st.cifd(t['Vaalipvpros']),
                  'Pros':st.cifd(t['Pros']),                  
                  'Paikat':st.cifc(t['Paikat']),
                  'AaniaMuutosVert':st.cifc(t['AaniaMuutosVert']),
                  'AaniaproMuutosVert':st.cifd(t['AaniaproMuutosVert']),
                  'PaikkaMuutosVert':st.cifc(t['PaikkaMuutosVert']),
                  'AaniaMuutosVert2':st.cifc(t['AaniaMuutosVert2']),
                  'AaniaprosMuutosVert2':st.cifd(t['AaniaprosMuutosVert2']),
                  'LaskennanTila':t['LaskennanTila'],
                  'Laskentavaihe':t['Laskentavaihe'],
                  'TiedostonAika':st.cifdt(t['TiedostonAika'])}
   # print(add_tpa)
    return add_tpa, add_tpa_data
#
#
#
#

def format_tea_maa(t):
    """Format dictionary 't' for SQL injection

    All of the input is in string format need to make some of them numbers and
    dates etc. Returns two strings"""

    import sys
    import short_things as st
    add_tea = ("INSERT INTO Ehdokkaat "
               "(Vaalilaji, Vaalipiirinumero, Kuntanumero, Tietuetyyppi, "
               "Aanestysaluetunnus, VaalipiiriTunnusS, VaalipiiriTunnusR, "
               "Vakiopuoluenro, Listapuoluenro, Vaaliliittonro, "
               "PuolueenRyhmanNimiLyhS, PuolueenRyhmanNimiLyhR, "
               "Ehdokasnro,  AanestysalueS, AanestysalueR, EtuNimi, "
               "SukuNimi, Sukupuoli, Ika, Ammatti, KotikunnanKoodi, "
               "KotikunnanNimiS, KotikunnanNimiR, EuroP, KansanE, "
               "KunnanV, MaakuntaV, VaalitapaNimilyhVertVaali, AaniaVert, "
               "Ennakko, Vaalipv, Yht, Ennakkopros, "
               "Vaalipvpros, Pros, Valinta, Vertausluku, "
               "LaskentaTila, Laskentavaihe, TiedostonAika )"
               "VALUES ( %(Vaalilaji)s, %(Vaalipiirinumero)s, %(Kuntanumero)s, %(Tietuetyyppi)s, "
               "%(Aanestysaluetunnus)s, %(VaalipiiriTunnusS)s, %(VaalipiiriTunnusR)s, "
               "%(Vakiopuoluenro)s, %(Listapuoluenro)s, %(Vaaliliittonro)s, "
               "%(PuolueenRyhmanNimiLyhS)s, %(PuolueenRyhmanNimiLyhR)s, "
               "%(Ehdokasnro)s,  %(AanestysalueS)s, %(AanestysalueR)s, %(EtuNimi)s, "
               "%(SukuNimi)s, %(Sukupuoli)s, %(Ika)s, %(Ammatti)s, %(KotikunnanKoodi)s, "
               "%(KotikunnanNimiS)s, %(KotikunnanNimiR)s, %(EuroP)s, %(KansanE)s, "
               "%(KunnanV)s, %(MaakuntaV)s, %(VaalitapaNimilyhVertVaali)s, %(AaniaVert)s, "
               "%(Ennakko)s, %(Vaalipv)s, %(Yht)s, %(Ennakkopros)s, "
               "%(Vaalipvpros)s, %(Pros)s, %(Valinta)s, %(Vertausluku)s, "
               "%(LaskentaTila)s, %(Laskentavaihe)s, %(TiedostonAika)s)")

    add_tea_data={'Vaalilaji':t['Vaalilaji'],
                  'Vaalipiirinumero':t['Vaalipiirinumero'],
                  'Kuntanumero':t['Kuntanumero'],
                  'Tietuetyyppi':t['Tietuetyyppi'],
                  'Aanestysaluetunnus':t['Aanestysaluetunnus'],
                  'VaalipiiriTunnusS':t['VaalipiiriTunnusS'],
                  'VaalipiiriTunnusR':t['VaalipiiriTunnusR'],
                  'Vakiopuoluenro':t['Vakiopuoluenro'],
                  'Listapuoluenro':t['Listapuoluenro'],
                  'Vaaliliittonro':t['Vaaliliittonro'],
                  'PuolueenRyhmanNimiLyhS':t['PuolueenRyhmanNimiLyhS'],
                  'PuolueenRyhmanNimiLyhR':t['PuolueenRyhmanNimiLyhR'],
                  'Ehdokasnro':t['Ehdokasnro'],
                  'AanestysalueS':t['AanestysalueS'],
                  'AanestysalueR':t['AanestysalueR'],
                  'EtuNimi':t['EtuNimi'],
                  'SukuNimi':t['SukuNimi'],
                  'Sukupuoli':t['Sukupuoli'],
                  'Ika':st.cifc(t['Ika']),
                  'Ammatti':t['Ammatti'],
                  'KotikunnanKoodi':t['KotikunnanKoodi'],
                  'KotikunnanNimiS':t['KotikunnanNimiS'],
                  'KotikunnanNimiR':t['KotikunnanNimiR'],
                  'EuroP':t['EuroP'],
                  'KansanE':t['KansanE'],
                  'KunnanV':t['KunnanV'],
                  'MaakuntaV':t['MaakuntaV'],
                  'VaalitapaNimilyhVertVaali':t['VaalitapaNimilyhVertVaali'],
                  'AaniaVert':st.cifc(t['AaniaVert']),
                  'Ennakko':st.cifc(t['Ennakko']),
                  'Vaalipv':st.cifc(t['Vaalipv']),
                  'Yht':st.cifc(t['Yht']),
                  'Ennakkopros':st.cifd(t['Ennakkopros']),
                  'Vaalipvpros':st.cifd(t['Vaalipvpros']),
                  'Pros':st.cifd(t['Pros']),                  
                  'Valinta':t['Valinta'],
                  'Vertausluku':st.cifd(t['Vertausluku'])/100,
                  'LaskentaTila':t['LaskentaTila'],
                  'Laskentavaihe':t['Laskentavaihe'],
                  'TiedostonAika':st.cifdt(t['TiedostonAika'])}
   # print(add_tpa)
    return add_tea, add_tea_data


