def taa_maa(filename=r'kv-2012_taa_maa.csv'):
    """Read contents of read_taa_maa.csv '?'
    
    Remember that backslash U is a unicode escape so the string needs to be raw"""

    import csv, sys
    with open(filename, newline='') as csvfile:
        #Variable fieldnames does not contain names for fields after heading
        #"Tilastotiedot" in the document "Vaalien_tulostietojen_kuvaus_CSV" this
        #data was not available in the file version used even though it should have
        #been according to the same document
        fieldnames=('Vaalilaji','Vaalipiirinumero','Kuntanumero', 'Tietuetyyppi',
                    'Aanestysaluetunnus', 'VaalipiiriTunnusS', 'VaalipiiriTunnusR',
                    'AanestysalueS', 'AanestysalueR', 'Kuntamuoto', 'Kielisuhde',
                    'Aanioikeutetut', 'AanioikeutetutMiehet', 'AanioikeutetutNaiset',
                    'AanioikSuomessa', 'AanioikeSuomessaMiehet',
                    'AanioikeSuomessaNaiset', 'ValittavienMaara', 'Aanestysalueita',
                    'VaalitapahNimilyhVertVaali', 'AanioikSuomessaAsuvatVertVaali',
                    'KotimaanAanestysprosVertEnn', 'KotimaanAanestysprosVertvp',
                    'KotimaanAanestysprosVertYht', 'HyvaksyttyjaYhtVert',
                    'MitattomiaYhtVert', 'ValittaviaVert', 'VaalitapahtNimiVert2',
                    'AanioikSuomessaYhtVert2', 'KotimaanAanestysproVert2Enn',
                    'KotimaanAanestysproVert2Vaalipv', 'KotimaanAanestysproVert2Yht',
                    'HyvaksyttyjaVert2', 'MitattomiaVert2', 'Ennakko', 'Vaalipv',
                    'Yht', 'EnnakkoSuomessa', 'VaalipvSuomessa','YhtSuomessa',
                    'Ennakkopros', 'Vaalipvpros', 'Pros', 'EnnakkoprosSuomessa',
                    'VaalipvprosSuomessa', 'YhtprosSuomessa', 'HyvaksytytEnn',
                    'HyvaksytytVaalipv', 'HyvaksytytYht', 'MitattomatEnn',
                    'MitattomatVaalipv', 'MitattomatYht', 'LaskettuprosEnn',
                    'Laskettuprosvp', 'Laskettupros', 'Laskentavaihe',
                    'TiedostonAika')
##        InfoAll=[];
        spamreader = csv.DictReader(csvfile, fieldnames=fieldnames, delimiter=';',
                                    quotechar="'")
        import mysql.connector
        import format_vaali_data
        cnx = mysql.connector.connect(user='%%%%%%%%%%%%%%%%%%%%', password='********************',
                                  host='127.0.0.1', database='kuntavaalit_2012' )
        cursor = cnx.cursor()
        for i in spamreader:
##            InfoAll.append(i)
            # Insert line
            a,b=format_vaali_data.format_taa_maa(i)
            cursor.execute(a,b)
            # Make sure data is committed to the database
            cnx.commit()
        cursor.close()
        cnx.close()

    return '1'
