def tea_maa(filename=r'kv-2012_tea_maa.csv'):
    """Read contents of read_taa_maa.csv 'Ehdokastiedosto'

    Remember that backslash U is a unicode escape so the string needs to be raw
    The variable is large, using the file for 2012 municiapal elctions it is over
    4 GBytes!
    """

    import csv, sys
    with open(r'kv-2012_tea_maa.csv', newline='') as csvfile:
        #Variable fieldnames does not contain names for fields after heading
        #"Tilastotiedot" in the document "Vaalien_tulostietojen_kuvaus_CSV" this
        #data was not available in the file version used even though it should have
        #been according to the same document
        fieldnames=('Vaalilaji','Vaalipiirinumero','Kuntanumero', 'Tietuetyyppi',
                    'Aanestysaluetunnus', 'VaalipiiriTunnusS', 'VaalipiiriTunnusR',
                    'Vakiopuoluenro', 'Listapuoluenro', 'Vaaliliittonro',
                    'PuolueenRyhmanNimiLyhS', 'PuolueenRyhmanNimiLyhR',
                    'Ehdokasnro',  'AanestysalueS', 'AanestysalueR', 'EtuNimi',
                    'SukuNimi', 'Sukupuoli', 'Ika', 'Ammatti', 'KotikunnanKoodi',
                    'KotikunnanNimiS', 'KotikunnanNimiR', 'EuroP', 'KansanE',
                    'KunnanV', 'MaakuntaV', 'VaalitapaNimilyhVertVaali', 'AaniaVert',
                    'Ennakko', 'Vaalipv', 'Yht', 'Ennakkopros',
                    'Vaalipvpros', 'Pros', 'Valinta', 'Vertausluku',
                    'LaskentaTila', 'Laskentavaihe', 'TiedostonAika')
        spamreader = csv.DictReader(csvfile, fieldnames=fieldnames, delimiter=';',
                                    quotechar="'")
        import mysql.connector
        import format_vaali_data
        cnx = mysql.connector.connect(user='%%%%%%%%%%%%%%%%%%%%', password='********************',
                                  host='127.0.0.1', database='kuntavaalit_2012' )
              #table is defined in format_tea_maa
        cursor = cnx.cursor()
        try:
            for i in spamreader:
                # Insert line
                a,b=format_vaali_data.format_tea_maa(i)
                cursor.execute(a,b)
                # Make sure data is committed to the database
                cnx.commit()
        finally:
            cursor.close()
            cnx.close()

    return '1'
