def puo_tpa(filename=r'kv-2012_tpa_maa.csv'):
    """Read contents of read_tpa_maa.csv 'Ehdokasasettajatiedosto'
    
    Remember that backslash U is a unicode escape so the string needs to be raw"""

    import csv, sys
    with open(filename,newline='') as csvfile:
        #give fieldnames for parsing
        fieldnames=('Vaalilaji','Vaalipiirinumero','Kuntanumero', 'Tietuetyyppi',
                    'Aanestysaluetunnus', 'VaalipiiriTunnusS', 'VaalipiiriTunnusR',
                    'Vakiopuoluenumero', 'Listapuoluenumero', 'PuolueenRyhmanNimiLyhS',
                    'PuolueenRyhmanNimiLyhR', 'AanestysalueS', 'AanestysalueR',
                    'PuolueenRyhmanNimiS', 'PuolueenRyhmanNimiR', 'AlinEhdokasnro',
                    'YlinEhdokasnro', 'Vaaliliittonumero', 'VaaliliittoS', 'VaaliliittoR',
                    'VaalitapaNimilyhVertVaali', 'EnnakkoAaniaVert', 'VaalipvAaniaVert',
                    'AaniaYhtVert', 'EnnakkoOsuusVert', 'VaalipvOsuusVert', 'AaniaYhtOsuusVert',
                    'PaikatVert', 'VaalitapaNimiVert2', 'EnnakkoAaniaVert2',
                    'VaalipvVert2', 'AaniaYhtVert2', 'EnnakkoOsuusVert2',
                    'VaalipvOsuusVert2', 'YhtOsuusVert2', 'Ennakko', 'Vaalipv', 'Yht',
                    'Ennakkopros', 'Vaalipvpros', 'Pros', 'Paikat', 'AaniaMuutosVert',
                    'AaniaproMuutosVert', 'PaikkaMuutosVert', 'AaniaMuutosVert2',
                    'AaniaprosMuutosVert2', 'LaskennanTila', 'Laskentavaihe',
                    'TiedostonAika')
        #list for all the values
   #     InfoAll=[];
        spamreader = csv.DictReader(csvfile, fieldnames=fieldnames, delimiter=';', quotechar="'")
        import mysql.connector
        import format_vaali_data
        cnx = mysql.connector.connect(user='%%%%%%%%%%%%%%%%%%%%', password='********************',
                                  host='127.0.0.1', database='kuntavaalit_2012' )
              #table is defined in format_tpa_maa
        cursor = cnx.cursor()
        try:
            for i in spamreader:
                # Insert line
                a,b=format_vaali_data.format_tpa_maa(i)
                cursor.execute(a,b)
                # Make sure data is committed to the database
                cnx.commit()
        finally:
            cursor.close()
            cnx.close()

    return '1'
